Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## generativedesign
Class Mesh

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  java.applet.Applet
                      processing.core.PApplet
                          generativedesign.Mesh

All Implemented Interfaces:
  FocusListener, KeyListener, MouseListener, MouseMotionListener, MouseWheelListener, ImageObserver, MenuContainer, Serializable, Runnable, EventListener, Accessible, PConstants

    public class Mesh

extends PApplet

Basic class for calculating and drawing a mesh. A mesh is a two dimensional grid (u/v-coordinates) which is deformed by using mathematical formulas resulting in three dimensional surfaces.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class processing.core.PApplet
`PApplet.RendererChangeException`

Nested classes/interfaces inherited from class java.awt.Component
`Component.BaselineResizeBehavior`

Field Summary
`static int` | `ASTROIDALELLIPSOID`
`static int` | `BOHEMIANDOME`
`static int` | `BOW`
`static int` | `CORKSCREW`
`int` | `drawMode`
`static int` | `ELLIPTICTORUS`
`static int` | `FIGURE8TORUS`
`int` | `form`
`static int` | `HORN`
`static int` | `KIDNEY`
`static int` | `LEMNISCAPE`
`static int` | `LIMPETTORUS`
`static int` | `MAEDERSOWL`
`float` | `maxBrightness`
`float` | `maxHue`
`float` | `maxSaturation`
`float` | `meshAlpha`
`float` | `meshDistortion`
`float` | `minBrightness`
`float` | `minHue`
`float` | `minSaturation`
`static int` | `PARABOLOID`
`float[]` | `params`
`static int` | `PLANE`
`static int` | `SHELL`
`static int` | `SINE`
`static int` | `SPHERE`
`static int` | `STEINBACHSCREW`
`static int` | `SUPERFORMULA`
`static int` | `TORUS`
`static int` | `TRIANGULOID`
`static int` | `TRIAXIALTRITORUS`
`static int` | `TUBE`
`int` | `uCount`
`float` | `uMax`
`float` | `uMin`
`int` | `vCount`
`float` | `vMax`
`float` | `vMin`

Fields inherited from class processing.core.PApplet
`args, ARGS_BGCOLOR, ARGS_DISPLAY, ARGS_EDITOR_LOCATION, ARGS_EXTERNAL, ARGS_FULL_SCREEN, ARGS_HIDE_STOP, ARGS_LOCATION, ARGS_PRESENT, ARGS_SKETCH_FOLDER, ARGS_STOP_COLOR, DEFAULT_HEIGHT, DEFAULT_WIDTH, defaultSize, displayHeight, displayWidth, EXTERNAL_MOVE, EXTERNAL_STOP, finished, firstMouse, focused, frame, frameCount, frameRate, g, height, javaVersion, javaVersionName, key, keyCode, keyEvent, keyPressed, MIN_WINDOW_HEIGHT, MIN_WINDOW_WIDTH, mouseButton, mouseEvent, mousePressed, mouseX, mouseY, online, paused, pixels, platform, pmouseX, pmouseY, recorder, requestImageMax, sketchPath, useNativeSelect, useQuartz, width`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface processing.core.PConstants
`ADD, ALPHA, ALT, AMBIENT, ARC, ARGB, ARROW, BACKSPACE, BASELINE, BEVEL, BEZIER_VERTEX, BLEND, BLUR, BOTTOM, BOX, BREAK, BURN, CENTER, CHATTER, CHORD, CLAMP, CLOSE, CODED, COMPLAINT, CONTROL, CORNER, CORNERS, CROSS, CURVE_VERTEX, CUSTOM, DARKEST, DEG_TO_RAD, DELETE, DIAMETER, DIFFERENCE, DILATE, DIRECTIONAL, DISABLE_DEPTH_MASK, DISABLE_DEPTH_SORT, DISABLE_DEPTH_TEST, DISABLE_NATIVE_FONTS, DISABLE_OPENGL_ERRORS, DISABLE_OPTIMIZED_STROKE, DISABLE_RETINA_PIXELS, DISABLE_STROKE_PERSPECTIVE, DISABLE_STROKE_PURE, DISABLE_TEXTURE_MIPMAPS, DODGE, DOWN, DXF, ELLIPSE, ENABLE_DEPTH_MASK, ENABLE_DEPTH_SORT, ENABLE_DEPTH_TEST, ENABLE_NATIVE_FONTS, ENABLE_OPENGL_ERRORS, ENABLE_OPTIMIZED_STROKE, ENABLE_RETINA_PIXELS, ENABLE_STROKE_PERSPECTIVE, ENABLE_STROKE_PURE, ENABLE_TEXTURE_MIPMAPS, ENTER, EPSILON, ERODE, ERROR_BACKGROUND_IMAGE_FORMAT, ERROR_BACKGROUND_IMAGE_SIZE, ERROR_PUSHMATRIX_OVERFLOW, ERROR_PUSHMATRIX_UNDERFLOW, ERROR_TEXTFONT_NULL_PFONT, ESC, EXCLUSION, GIF, GRAY, GROUP, HALF_PI, HAND, HARD_LIGHT, HINT_COUNT, HSB, IMAGE, INVERT, JAVA2D, JPEG, LANDSCAPE, LEFT, LIGHTEST, LINE, LINE_LOOP, LINE_STRIP, LINES, LINUX, MACOSX, MAX_FLOAT, MAX_INT, MIN_FLOAT, MIN_INT, MITER, MODEL, MODELVIEW, MOVE, MULTIPLY, NORMAL, OPAQUE, OPEN, OPENGL, ORTHOGRAPHIC, OTHER, OVERLAY, P2D, P3D, PATH, PDF, PERSPECTIVE, PI, PIE, platformNames, POINT, POINTS, POLYGON, PORTRAIT, POSTERIZE, PROBLEM, PROJECT, PROJECTION, QUAD, QUAD_BEZIER_VERTEX, QUAD_STRIP, QUADS, QUARTER_PI, RAD_TO_DEG, RADIUS, RECT, REPEAT, REPLACE, RETURN, RGB, RIGHT, ROUND, SCREEN, SHAPE, SHIFT, SOFT_LIGHT, SPOT, SQUARE, SUBTRACT, TAB, TARGA, TAU, TEXT, THIRD_PI, THRESHOLD, TIFF, TOP, TRIANGLE, TRIANGLE_FAN, TRIANGLE_STRIP, TRIANGLES, TWO_PI, UP, VERTEX, WAIT, WHITESPACE, WINDOWS, X, Y, Z`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Mesh(PApplet theParent)` Creates a mesh with default form and parameters.
`Mesh(PApplet theParent, int theForm)` Creates a mesh with the given form and default parameters.
`Mesh(PApplet theParent, int theForm, float theUMin, float theUMax, float theVMin, float theVMax)`
`Mesh(PApplet theParent, int theForm, int theUCount, int theVCount)`
`Mesh(PApplet theParent, int theForm, int theUCount, int theVCount, float theUMin, float theUMax, float theVMin, float theVMax)`

Method Summary
`PVector` | `calculateAstroidalEllipsoid(float u, float v)`
`PVector` | `calculateBohemianDome(float u, float v)`
`PVector` | `calculateBow(float u, float v)`
`PVector` | `calculateCorkscrew(float u, float v)`
`PVector` | `calculateEllipticTorus(float u, float v)`
`PVector` | `calculateFigure8Torus(float u, float v)`
`PVector` | `calculateHorn(float u, float v)`
`PVector` | `calculateKidney(float u, float v)`
`PVector` | `calculateLemniscape(float u, float v)`
`PVector` | `calculateLimpetTorus(float u, float v)`
`PVector` | `calculateMaedersOwl(float u, float v)`
`PVector` | `calculateParaboloid(float u, float v)`
`PVector` | `calculatePoints(float u, float v)` Default function for calculating the points of the mesh.
`PVector` | `calculateShell(float u, float v)`
`PVector` | `calculateSine(float u, float v)`
`PVector` | `calculateSphere(float u, float v)`
`PVector` | `calculateSteinbachScrew(float u, float v)`
`PVector` | `calculateSuperformula(float u, float v)`
`PVector` | `calculateTorus(float u, float v)`
`PVector` | `calculateTrianguloid(float u, float v)`
`PVector` | `calculateTriaxialTritorus(float u, float v)`
`PVector` | `calculateTube(float u, float v)`
`void` | `draw()`
`int` | `getDrawMode()`
`int` | `getForm()`
`String` | `getFormName()`
`float` | `getMaxBrightness()`
`float` | `getMaxHue()`
`float` | `getMaxSaturation()`
`float` | `getMeshAlpha()`
`float` | `getMeshDistortion()`
`float` | `getMinBrightness()`
`float` | `getMinHue()`
`float` | `getMinSaturation()`
`float` | `getParam(int theIndex)`
`float[]` | `getParams()`
`int` | `getUCount()`
`float` | `getUMax()`
`float` | `getUMin()`
`int` | `getVCount()`
`float` | `getVMax()`
`float` | `getVMin()`
`float` | `logE(float v)` The processing function log() does not take negative numbers.
`float` | `power(float b, float e)` The processing function pow() works a bit differently for negative bases.
`void` | `setColorRange(float theMinHue, float theMaxHue, float theMinSaturation, float theMaxSaturation, float theMinBrightness, float theMaxBrightness, float theMeshAlpha)`
`void` | `setDrawMode(int theMode)`
`void` | `setForm(int theValue)`
`void` | `setMaxBrightness(float maxBrightness)`
`void` | `setMaxHue(float maxHue)`
`void` | `setMaxSaturation(float maxSaturation)`
`void` | `setMeshAlpha(float meshAlpha)`
`void` | `setMeshDistortion(float theValue)`
`void` | `setMinBrightness(float minBrightness)`
`void` | `setMinHue(float minHue)`
`void` | `setMinSaturation(float minSaturation)`
`void` | `setParam(int theIndex, float theValue)`
`void` | `setParams(float[] theValues)`
`void` | `setUCount(int theValue)`
`void` | `setUMax(float theValue)`
`void` | `setUMin(float theValue)`
`void` | `setVCount(int theValue)`
`void` | `setVMax(float theValue)`
`void` | `setVMin(float theValue)`
`void` | `update()` Updates the points of the mesh.

Methods inherited from class processing.core.PApplet
`abs, abs, acos, addListeners, alpha, ambient, ambient, ambient, ambientLight, ambientLight, append, append, append, append, append, append, applyMatrix, applyMatrix, applyMatrix, applyMatrix, applyMatrix, arc, arc, arraycopy, arrayCopy, arraycopy, arrayCopy, arraycopy, arrayCopy, asin, atan, atan2, background, background, background, background, background, background, background, beginCamera, beginContour, beginPGL, beginRaw, beginRaw, beginRecord, beginRecord, beginShape, beginShape, bezier, bezier, bezierDetail, bezierPoint, bezierTangent, bezierVertex, bezierVertex, binary, binary, binary, binary, blend, blend, blendColor, blendMode, blue, box, box, brightness, camera, camera, canDraw, ceil, checkExtension, clear, clip, color, color, color, color, color, color, color, color, colorMode, colorMode, colorMode, colorMode, concat, concat, concat, concat, concat, concat, concat, constrain, constrain, copy, copy, cos, createFont, createFont, createFont, createGraphics, createGraphics, createGraphics, createImage, createInput, createInput, createInputRaw, createOutput, createOutput, createPath, createPath, createReader, createReader, createReader, createShape, createShape, createShape, createShape, createWriter, createWriter, createWriter, cursor, cursor, cursor, cursor, curve, curve, curveDetail, curvePoint, curveTangent, curveTightness, curveVertex, curveVertex, dataFile, dataPath, day, debug, degrees, delay, destroy, die, die, directionalLight, displayable, dispose, dist, dist, edge, ellipse, ellipseMode, emissive, emissive, emissive, endCamera, endContour, endPGL, endRaw, endRecord, endShape, endShape, exec, exit, exp, expand, expand, expand, expand, expand, expand, expand, expand, expand, expand, expand, expand, expand, expand, expand, expand, expand, expand, fill, fill, fill, fill, fill, fill, filter, filter, filter, floor, flush, focusGained, focusGained, focusLost, focusLost, frameRate, frustum, get, get, get, getCache, getExtension, getMatrix, getMatrix, getMatrix, green, handleDraw, hex, hex, hex, hex, hint, hour, hue, image, image, image, imageMode, init, insertFrame, isGL, join, join, keyPressed, keyPressed, keyPressed, keyReleased, keyReleased, keyReleased, keyTyped, keyTyped, keyTyped, lerp, lerpColor, lerpColor, lightFalloff, lights, lightSpecular, line, line, link, link, loadBytes, loadBytes, loadBytes, loadFont, loadImage, loadImage, loadJSONArray, loadJSONObject, loadPixels, loadShader, loadShader, loadShape, loadShape, loadStrings, loadStrings, loadStrings, loadStrings, loadTable, loadTable, loadXML, loadXML, log, loop, mag, mag, main, main, main, map, mask, match, matchAll, max, max, max, max, max, max, method, millis, min, min, min, min, min, min, minute, modelX, modelY, modelZ, month, mouseClicked, mouseClicked, mouseClicked, mouseDragged, mouseDragged, mouseDragged, mouseEntered, mouseEntered, mouseEntered, mouseExited, mouseExited, mouseExited, mouseMoved, mouseMoved, mouseMoved, mousePressed, mousePressed, mousePressed, mouseReleased, mouseReleased, mouseReleased, mouseWheel, mouseWheel, mouseWheelMoved, nf, nf, nf, nf, nfc, nfc, nfc, nfc, nfp, nfp, nfp, nfp, nfs, nfs, nfs, nfs, noClip, noCursor, noFill, noise, noise, noise, noiseDetail, noiseDetail, noiseSeed, noLights, noLoop, norm, normal, noSmooth, noStroke, noTexture, noTint, open, open, openStream, orientation, ortho, ortho, ortho, paint, param, parseBoolean, parseBoolean, parseBoolean, parseBoolean, parseByte, parseByte, parseByte, parseByte, parseByte, parseByte, parseByte, parseByte, parseByte, parseChar, parseChar, parseChar, parseChar, parseFloat, parseFloat, parseFloat, parseFloat, parseFloat, parseFloat, parseInt, parseInt, parseInt, parseInt, parseInt, parseInt, parseInt, parseInt, parseInt, parseInt, parseInt, parseInt, parseJSONArray, parseJSONObject, parseXML, parseXML, pause, perspective, perspective, point, point, pointLight, popMatrix, popStyle, postEvent, pow, print, print, print, print, print, print, print, print, print, printCamera, println, println, println, println, println, println, println, println, println, println, printMatrix, printProjection, pushMatrix, pushStyle, quad, quadraticVertex, quadraticVertex, radians, random, random, randomGaussian, randomSeed, rect, rect, rect, rectMode, red, redraw, registerDispose, registerDraw, registerKeyEvent, registerMethod, registerMouseEvent, registerPost, registerPre, registerSize, removeCache, removeListeners, requestImage, requestImage, resetMatrix, resetShader, resetShader, resume, reverse, reverse, reverse, reverse, reverse, reverse, reverse, rotate, rotate, rotateX, rotateY, rotateZ, round, run, runSketch, saturation, save, saveBytes, saveBytes, saveBytes, saveFile, saveFrame, saveFrame, saveJSONArray, saveJSONArray, saveJSONObject, saveJSONObject, savePath, saveStream, saveStream, saveStream, saveStream, saveStream, saveStrings, saveStrings, saveStrings, saveTable, saveTable, saveXML, saveXML, scale, scale, scale, screenX, screenX, screenY, screenY, screenZ, second, selectFolder, selectFolder, selectFolder, selectFolder, selectInput, selectInput, selectInput, selectInput, selectOutput, selectOutput, selectOutput, selectOutput, set, set, setCache, setMatrix, setMatrix, setMatrix, setup, setupExternalMessages, setupFrameResizeListener, shader, shader, shape, shape, shape, shapeMode, shearX, shearY, shininess, shorten, shorten, shorten, shorten, shorten, shorten, shorten, showDepthWarning, showDepthWarningXYZ, showMethodWarning, showMissingWarning, showVariationWarning, sin, size, size, size, sketchFile, sketchFullScreen, sketchHeight, sketchPath, sketchQuality, sketchRenderer, sketchWidth, smooth, smooth, sort, sort, sort, sort, sort, sort, sort, sort, sort, sort, specular, specular, specular, sphere, sphereDetail, sphereDetail, splice, splice, splice, splice, splice, splice, splice, splice, splice, splice, splice, splice, splice, split, split, splitTokens, splitTokens, spotLight, sq, sqrt, start, status, stop, str, str, str, str, str, str, str, str, str, str, stroke, stroke, stroke, stroke, stroke, stroke, strokeCap, strokeJoin, strokeWeight, style, subset, subset, subset, subset, subset, subset, subset, subset, subset, subset, subset, subset, subset, subset, tan, text, text, text, text, text, text, text, text, text, text, text, textAlign, textAlign, textAscent, textDescent, textFont, textFont, textLeading, textMode, textSize, texture, textureMode, textureWrap, textWidth, textWidth, textWidth, thread, tint, tint, tint, tint, tint, tint, translate, translate, triangle, trim, trim, unbinary, unhex, unregisterDispose, unregisterDraw, unregisterKeyEvent, unregisterMethod, unregisterMouseEvent, unregisterPost, unregisterPre, unregisterSize, update, updateListeners, updatePixels, updatePixels, urlDecode, urlEncode, vertex, vertex, vertex, vertex, vertex, year`

Methods inherited from class java.applet.Applet
`getAccessibleContext, getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, newAudioClip, play, play, resize, resize, setStub, showStatus`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLANE

    public static final int PLANE

See Also:
  Constant Field Values

### TUBE

    public static final int TUBE

See Also:
  Constant Field Values

### SPHERE

    public static final int SPHERE

See Also:
  Constant Field Values

### TORUS

    public static final int TORUS

See Also:
  Constant Field Values

### PARABOLOID

    public static final int PARABOLOID

See Also:
  Constant Field Values

### STEINBACHSCREW

    public static final int STEINBACHSCREW

See Also:
  Constant Field Values

### SINE

    public static final int SINE

See Also:
  Constant Field Values

### FIGURE8TORUS

    public static final int FIGURE8TORUS

See Also:
  Constant Field Values

### ELLIPTICTORUS

    public static final int ELLIPTICTORUS

See Also:
  Constant Field Values

### CORKSCREW

    public static final int CORKSCREW

See Also:
  Constant Field Values

### BOHEMIANDOME

    public static final int BOHEMIANDOME

See Also:
  Constant Field Values

### BOW

    public static final int BOW

See Also:
  Constant Field Values

### MAEDERSOWL

    public static final int MAEDERSOWL

See Also:
  Constant Field Values

### ASTROIDALELLIPSOID

    public static final int ASTROIDALELLIPSOID

See Also:
  Constant Field Values

### TRIAXIALTRITORUS

    public static final int TRIAXIALTRITORUS

See Also:
  Constant Field Values

### LIMPETTORUS

    public static final int LIMPETTORUS

See Also:
  Constant Field Values

### HORN

    public static final int HORN

See Also:
  Constant Field Values

### SHELL

    public static final int SHELL

See Also:
  Constant Field Values

### KIDNEY

    public static final int KIDNEY

See Also:
  Constant Field Values

### LEMNISCAPE

    public static final int LEMNISCAPE

See Also:
  Constant Field Values

### TRIANGULOID

    public static final int TRIANGULOID

See Also:
  Constant Field Values

### SUPERFORMULA

    public static final int SUPERFORMULA

See Also:
  Constant Field Values

### form

    public int form

### uMin

    public float uMin

### uMax

    public float uMax

### uCount

    public int uCount

### vMin

    public float vMin

### vMax

    public float vMax

### vCount

    public int vCount

### params

    public float[] params

### drawMode

    public int drawMode

### minHue

    public float minHue

### maxHue

    public float maxHue

### minSaturation

    public float minSaturation

### maxSaturation

    public float maxSaturation

### minBrightness

    public float minBrightness

### maxBrightness

    public float maxBrightness

### meshAlpha

    public float meshAlpha

### meshDistortion

    public float meshDistortion

Constructor Detail

### Mesh

    public Mesh(PApplet theParent)

  Creates a mesh with default form and parameters.

  Parameters:
    `theParent` - Reference to a PApplet. Typically use "this"

### Mesh

    public Mesh(PApplet theParent,
                int theForm)

  Creates a mesh with the given form and default parameters.

  Parameters:
    `theParent` - Reference to a PApplet. Typically use "this"
    `theForm` - One of the constants or CUSTOM.

### Mesh

    public Mesh(PApplet theParent,
                int theForm,
                int theUCount,
                int theVCount)

Parameters:
  `theParent` - Reference to a PApplet. Typically use "this"
  `theForm` - One of the constants or CUSTOM.
  `theUCount` - Number of tiles in u direction
  `theVCount` - Number of tiles in v direction

### Mesh

    public Mesh(PApplet theParent,
                int theForm,
                float theUMin,
                float theUMax,
                float theVMin,
                float theVMax)

Parameters:
  `theParent` - Reference to a PApplet. Typically use "this"
  `theForm` - One of the constants or CUSTOM.
  `theUMin` - Start value for u
  `theUMax` - End value for u
  `theVMin` - Start value for v
  `theVMax` - End value for v

### Mesh

    public Mesh(PApplet theParent,
                int theForm,
                int theUCount,
                int theVCount,
                float theUMin,
                float theUMax,
                float theVMin,
                float theVMax)

Parameters:
  `theParent` - Reference to a PApplet. Typically use "this"
  `theForm` - One of the constants or CUSTOM.
  `theUCount` - Number of tiles in u direction
  `theVCount` - Number of tiles in v direction
  `theUMin` - Start value for u
  `theUMax` - End value for u
  `theVMin` - Start value for v
  `theVMax` - End value for v

Method Detail

### update

    public void update()

  Updates the points of the mesh. This is automatically called when creating the mesh. It has to be called manually every time that one of the parameters uCount, vCount, uMin, uMax, vMin or vMax has changed.

### calculatePoints

    public PVector calculatePoints(float u,
                                   float v)

  Default function for calculating the points of the mesh. It will result in a simple plane. Override this method, if you want to define custom forms (see sketch Mesh_Custom.pde).

### calculateTube

    public PVector calculateTube(float u,
                                 float v)

### calculateSphere

    public PVector calculateSphere(float u,
                                   float v)

### calculateTorus

    public PVector calculateTorus(float u,
                                  float v)

### calculateParaboloid

    public PVector calculateParaboloid(float u,
                                       float v)

### calculateSteinbachScrew

    public PVector calculateSteinbachScrew(float u,
                                           float v)

### calculateSine

    public PVector calculateSine(float u,
                                 float v)

### calculateFigure8Torus

    public PVector calculateFigure8Torus(float u,
                                         float v)

### calculateEllipticTorus

    public PVector calculateEllipticTorus(float u,
                                          float v)

### calculateCorkscrew

    public PVector calculateCorkscrew(float u,
                                      float v)

### calculateBohemianDome

    public PVector calculateBohemianDome(float u,
                                         float v)

### calculateBow

    public PVector calculateBow(float u,
                                float v)

### calculateMaedersOwl

    public PVector calculateMaedersOwl(float u,
                                       float v)

### calculateAstroidalEllipsoid

    public PVector calculateAstroidalEllipsoid(float u,
                                               float v)

### calculateTriaxialTritorus

    public PVector calculateTriaxialTritorus(float u,
                                             float v)

### calculateLimpetTorus

    public PVector calculateLimpetTorus(float u,
                                        float v)

### calculateHorn

    public PVector calculateHorn(float u,
                                 float v)

### calculateShell

    public PVector calculateShell(float u,
                                  float v)

### calculateKidney

    public PVector calculateKidney(float u,
                                   float v)

### calculateLemniscape

    public PVector calculateLemniscape(float u,
                                       float v)

### calculateTrianguloid

    public PVector calculateTrianguloid(float u,
                                        float v)

### calculateSuperformula

    public PVector calculateSuperformula(float u,
                                         float v)

### power

    public float power(float b,
                       float e)

  The processing function pow() works a bit differently for negative bases.

  Parameters:
    `b` - Base
    `e` - Exponent
  Returns:
    b to the power of e

### logE

    public float logE(float v)

  The processing function log() does not take negative numbers. Sometimes it is convenient to have this form.

  Parameters:
    `v` - Number (may also be negative)
  Returns:
    Natural logarithm of the number.

### draw

    public void draw()

  Overrides:
    `draw` in class `PApplet`

### getForm

    public int getForm()

### setForm

    public void setForm(int theValue)

### getFormName

    public String getFormName()

### getUMin

    public float getUMin()

### setUMin

    public void setUMin(float theValue)

### getUMax

    public float getUMax()

### setUMax

    public void setUMax(float theValue)

### getUCount

    public int getUCount()

### setUCount

    public void setUCount(int theValue)

### getVMin

    public float getVMin()

### setVMin

    public void setVMin(float theValue)

### getVMax

    public float getVMax()

### setVMax

    public void setVMax(float theValue)

### getVCount

    public int getVCount()

### setVCount

    public void setVCount(int theValue)

### getParams

    public float[] getParams()

### setParams

    public void setParams(float[] theValues)

### getParam

    public float getParam(int theIndex)

### setParam

    public void setParam(int theIndex,
                         float theValue)

### getDrawMode

    public int getDrawMode()

### setDrawMode

    public void setDrawMode(int theMode)

### getMeshDistortion

    public float getMeshDistortion()

### setMeshDistortion

    public void setMeshDistortion(float theValue)

### setColorRange

    public void setColorRange(float theMinHue,
                              float theMaxHue,
                              float theMinSaturation,
                              float theMaxSaturation,
                              float theMinBrightness,
                              float theMaxBrightness,
                              float theMeshAlpha)

### getMinHue

    public float getMinHue()

### setMinHue

    public void setMinHue(float minHue)

### getMaxHue

    public float getMaxHue()

### setMaxHue

    public void setMaxHue(float maxHue)

### getMinSaturation

    public float getMinSaturation()

### setMinSaturation

    public void setMinSaturation(float minSaturation)

### getMaxSaturation

    public float getMaxSaturation()

### setMaxSaturation

    public void setMaxSaturation(float maxSaturation)

### getMinBrightness

    public float getMinBrightness()

### setMinBrightness

    public void setMinBrightness(float minBrightness)

### getMaxBrightness

    public float getMaxBrightness()

### setMaxBrightness

    public void setMaxBrightness(float maxBrightness)

### getMeshAlpha

    public float getMeshAlpha()

### setMeshAlpha

    public void setMeshAlpha(float meshAlpha)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Processing library GenerativeDesign by Benedikt Gross, Hartmut Bohnacker. (C) 2009